# ActionLog

## Gets the Action Log objects for a specific User in a specific date interval.

> Access to Action Log objects not belonging to the current logged in user> \
> is granted only to administrative users.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/UserActionLogs/{strToken}/{strUserID}/{strDateFrom}/{strDateTo}":{"get":{"tags":["ActionLog"],"summary":"Gets the Action Log objects for a specific User in a specific date interval.","description":"Access to Action Log objects not belonging to the current logged in user\r\nis granted only to administrative users.","operationId":"ActionLog-GetUserActionLogs","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strUserID","in":"path","description":"The ID of the User object","required":true,"schema":{"type":"string"}},{"name":"strDateFrom","in":"path","description":"The optional begin of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}},{"name":"strDateTo","in":"path","description":"The optional end of the date interval, in UTC time, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListActionLogsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListActionLogsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListActionLogsResponse"}}}}}}}},"components":{"schemas":{"ListActionLogsResponse":{"type":"object","properties":{"actionLogs":{"type":"array","items":{"$ref":"#/components/schemas/ActionLogSpecs"},"description":"The list of Action Logs objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Action Logs request."},"ActionLogSpecs":{"type":"object","properties":{"actionLogID":{"type":"string","description":"ID of the Action Log object.\r\nUnique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the Action Log.","format":"date-time"},"type":{"type":"string","description":"Type of Action Log. <br> May be one of the following:<ul> <li><code>UserCreated</code></li> <li><code>UserUpdated</code></li> <li><code>UserDeleted</code> (obsolete)</li> <li><code>UserLoggedIn</code></li> <li><code>UserLoggedOut</code></li> <li><code>MemoriCreated</code></li> <li><code>MemoriUpdated</code></li> <li><code>MemoriDeleted</code> (obsolete)</li> <li><code>MemoriOpen</code> (obsolete)</li> <li><code>MemoriClosed</code> (obsolete)</li> <li><code>IntegrationCreated</code></li> <li><code>IntegrationUpdated</code></li> <li><code>IntegrationDeleted</code> (obsolete)</li> <li><code>InvitationSent</code></li> <li><code>InvitationUpdated</code></li> <li><code>InvitationAccepted</code></li> <li><code>InvitationRejected</code></li> <li><code>AssetUploaded</code></li> <li><code>AssetUpdated</code></li> <li><code>Talk</code> (obsolete)</li> </ul>","nullable":true},"userID":{"type":"string","description":"ID of the associated User object.","nullable":true},"loginToken":{"type":"string","description":"Login token of the session where the Action\r\nhes been perfomred.","nullable":true},"memoriID":{"type":"string","description":"ID of the associated Memori object.","nullable":true},"integrationID":{"type":"string","description":"ID of the associated Integration object.","nullable":true},"invitationID":{"type":"string","description":"ID of the associated Invitation object.","nullable":true},"assetURL":{"type":"string","description":"URL of the associated Asset object.","nullable":true},"userAgent":{"type":"string","description":"User agent of the original HTTP request that performed the action.","nullable":true},"ipAddress":{"type":"string","description":"IP address of the remote host that performed the action.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Action Log object."}}}}
````

## Gets the Action Log objects for a specific Memori in a specific date interval.

> Access to Action Log objects not belonging to the current logged in user> \
> is granted only to administrative users.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/MemoriActionLogs/{strToken}/{strMemoriID}/{strDateFrom}/{strDateTo}":{"get":{"tags":["ActionLog"],"summary":"Gets the Action Log objects for a specific Memori in a specific date interval.","description":"Access to Action Log objects not belonging to the current logged in user\r\nis granted only to administrative users.","operationId":"ActionLog-GetMemoriActionLogs","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}},{"name":"strDateFrom","in":"path","description":"The optional begin of the date interval, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}},{"name":"strDateTo","in":"path","description":"The optional end of the date interval, in the format yyyyMMddHHmmssfff","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListActionLogsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListActionLogsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListActionLogsResponse"}}}}}}}},"components":{"schemas":{"ListActionLogsResponse":{"type":"object","properties":{"actionLogs":{"type":"array","items":{"$ref":"#/components/schemas/ActionLogSpecs"},"description":"The list of Action Logs objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Action Logs request."},"ActionLogSpecs":{"type":"object","properties":{"actionLogID":{"type":"string","description":"ID of the Action Log object.\r\nUnique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the Action Log.","format":"date-time"},"type":{"type":"string","description":"Type of Action Log. <br> May be one of the following:<ul> <li><code>UserCreated</code></li> <li><code>UserUpdated</code></li> <li><code>UserDeleted</code> (obsolete)</li> <li><code>UserLoggedIn</code></li> <li><code>UserLoggedOut</code></li> <li><code>MemoriCreated</code></li> <li><code>MemoriUpdated</code></li> <li><code>MemoriDeleted</code> (obsolete)</li> <li><code>MemoriOpen</code> (obsolete)</li> <li><code>MemoriClosed</code> (obsolete)</li> <li><code>IntegrationCreated</code></li> <li><code>IntegrationUpdated</code></li> <li><code>IntegrationDeleted</code> (obsolete)</li> <li><code>InvitationSent</code></li> <li><code>InvitationUpdated</code></li> <li><code>InvitationAccepted</code></li> <li><code>InvitationRejected</code></li> <li><code>AssetUploaded</code></li> <li><code>AssetUpdated</code></li> <li><code>Talk</code> (obsolete)</li> </ul>","nullable":true},"userID":{"type":"string","description":"ID of the associated User object.","nullable":true},"loginToken":{"type":"string","description":"Login token of the session where the Action\r\nhes been perfomred.","nullable":true},"memoriID":{"type":"string","description":"ID of the associated Memori object.","nullable":true},"integrationID":{"type":"string","description":"ID of the associated Integration object.","nullable":true},"invitationID":{"type":"string","description":"ID of the associated Invitation object.","nullable":true},"assetURL":{"type":"string","description":"URL of the associated Asset object.","nullable":true},"userAgent":{"type":"string","description":"User agent of the original HTTP request that performed the action.","nullable":true},"ipAddress":{"type":"string","description":"IP address of the remote host that performed the action.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Action Log object."}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisuru.com/api-en/backend/actionlog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
